"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("@testing-library/react");
var user_event_1 = __importDefault(require("@testing-library/user-event"));
var __1 = __importDefault(require("../"));
describe('MultiFieldsInput', function () {
    var inputs = [
        {
            maxLength: 2,
            placeholder: '00',
        },
        {
            maxLength: 2,
            placeholder: '00',
        },
        {
            maxLength: 2,
            placeholder: '00',
        },
    ];
    var defaultProps = {
        label: 'Sort Code',
        name: 'sortCode',
        inputs: inputs,
        onBlur: jest.fn(),
        onChange: jest.fn(),
    };
    afterEach(function () {
        jest.resetAllMocks();
    });
    it('Renders correctly', function () {
        var container = react_2.render(react_1.default.createElement(__1.default, __assign({}, defaultProps, { value: "202020" }))).container;
        expect(container.firstChild).toMatchSnapshot();
    });
    it('Calls onBlur and onChange and sends the correct value', function () {
        var getByTestId = react_2.render(react_1.default.createElement(__1.default, __assign({}, defaultProps))).getByTestId;
        var field1 = getByTestId(/sortCode0/i);
        user_event_1.default.type(field1, '10');
        expect(defaultProps.onChange).toHaveBeenCalledTimes(3);
        expect(defaultProps.onChange).toHaveBeenCalledWith({
            name: 'sortCode',
            value: '10',
        });
        expect(defaultProps.onBlur).toHaveBeenCalledTimes(1);
        var field2 = getByTestId(/sortCode1/i);
        user_event_1.default.type(field2, '20');
        expect(defaultProps.onChange).toHaveBeenCalledTimes(5);
        expect(defaultProps.onChange).toHaveBeenCalledWith({
            name: 'sortCode',
            value: '1020',
        });
        expect(defaultProps.onBlur).toHaveBeenCalledTimes(2);
    });
    it('Error is displayed when passed as props', function () {
        var getByText = react_2.render(react_1.default.createElement(__1.default, __assign({}, defaultProps, { error: 'Invalid input' }))).getByText;
        expect(getByText(/Invalid input/i)).toBeInTheDocument();
    });
});
//# sourceMappingURL=index.test.js.map