"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var utils_1 = require("../utils");
var MultiFieldsInput = function (_a) {
    var _b = _a.autoFocus, autoFocus = _b === void 0 ? true : _b, inputs = _a.inputs, _c = _a.error, error = _c === void 0 ? '' : _c, _d = _a.label, label = _d === void 0 ? '' : _d, name = _a.name, onBlur = _a.onBlur, onChange = _a.onChange, _e = _a.value, value = _e === void 0 ? '' : _e;
    var _f = react_1.useState(utils_1.formatFields(value, name, inputs)), fieldsValues = _f[0], setFieldsValues = _f[1];
    var handleBlur = function (e) {
        var _a;
        var _b = e.target, fieldName = _b.name, value = _b.value;
        var updatedState = __assign(__assign({}, fieldsValues), (_a = {}, _a[fieldName] = value, _a));
        setFieldsValues(updatedState);
        var finalValue = utils_1.getValue(updatedState);
        onBlur({ name: name, value: finalValue });
    };
    var handleChange = function (e) {
        var _a;
        var _b = e.target, fieldName = _b.name, value = _b.value;
        setFieldsValues(__assign(__assign({}, fieldsValues), (_a = {}, _a[fieldName] = value, _a)));
        // Changes focus to the next field
        if (autoFocus) {
            var index = parseInt(fieldName.substring(fieldName.length - 1));
            if (value.length === inputs[index].maxLength) {
                var nextInput = document.querySelector("input[name='" + name + (index + 1) + "']");
                if (nextInput !== null) {
                    nextInput.focus();
                }
            }
        }
    };
    react_1.useEffect(function () {
        if (onChange) {
            var value_1 = utils_1.getValue(fieldsValues);
            console.log(value_1);
            onChange({
                name: name,
                value: value_1,
            });
        }
    }, [fieldsValues]);
    return (react_1.default.createElement("div", { className: "rmfi-container" },
        label && (react_1.default.createElement("label", { htmlFor: name, className: "rmfi-label" }, label)),
        inputs.map(function (field, index) {
            return (react_1.default.createElement("input", __assign({ key: name + "-" + index, name: "" + name + index, "data-testid": "" + name + index, value: fieldsValues["" + name + index], className: classnames_1.default([
                    "rmfi-input rmfi-input-" + index,
                    {
                        'rmfi-error': error !== '',
                    },
                ]), onBlur: handleBlur, onChange: handleChange, type: "text" }, field)));
        }),
        error !== '' && react_1.default.createElement("div", { className: "rmfi-error-message" }, error)));
};
exports.default = MultiFieldsInput;
//# sourceMappingURL=index.js.map